> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Column Mapping

> Get a specific column mapping group with all its mappings.



## OpenAPI

````yaml get /user/patient/uploads/column-mappings/{mapping_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /user/patient/uploads/column-mappings/{mapping_id}:
    get:
      tags:
        - provider
        - user
        - upload
        - column-mappings
      summary: Get Column Mapping
      description: Get a specific column mapping group with all its mappings.
      operationId: get_column_mapping_user_patient_uploads_column_mappings__mapping_id__get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: mapping_id
          in: path
          required: true
          schema:
            type: string
            title: Mapping Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ColumnMappingGroupResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ColumnMappingGroupResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        isDefault:
          type: boolean
          title: Isdefault
        mappings:
          items:
            $ref: '#/components/schemas/ColumnMappingItemResponse'
          type: array
          title: Mappings
      type: object
      required:
        - id
        - name
        - isDefault
        - mappings
      title: ColumnMappingGroupResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ColumnMappingItemResponse:
      properties:
        id:
          type: string
          title: Id
        groupId:
          type: string
          title: Groupid
        csvHeader:
          type: string
          title: Csvheader
        mappedField:
          type: string
          title: Mappedfield
      type: object
      required:
        - id
        - groupId
        - csvHeader
        - mappedField
      title: ColumnMappingItemResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````